Loading...
Searching...
No Matches
D3D12_RESOURCE_DESC Struct Reference

`#include <mini_d3d12.h>`

## Public Attributes

D3D12_RESOURCE_DIMENSION | Dimension
UINT64 | Alignment
UINT64 | Width
UINT | Height
UINT16 | DepthOrArraySize
UINT16 | MipLevels
DXGI_FORMAT | Format
DXGI_SAMPLE_DESC | SampleDesc
D3D12_TEXTURE_LAYOUT | Layout
D3D12_RESOURCE_FLAGS | Flags

## Detailed Description

Definition at line 2148 of file mini_d3d12.h.

## Member Data Documentation

## Dimension

D3D12_RESOURCE_DIMENSION D3D12_RESOURCE_DESC::Dimension

Definition at line 2149 of file mini_d3d12.h.

## Alignment

UINT64 D3D12_RESOURCE_DESC::Alignment

Definition at line 2150 of file mini_d3d12.h.

## Width

UINT64 D3D12_RESOURCE_DESC::Width

Definition at line 2151 of file mini_d3d12.h.

## Height

UINT D3D12_RESOURCE_DESC::Height

Definition at line 2152 of file mini_d3d12.h.

## DepthOrArraySize

UINT16 D3D12_RESOURCE_DESC::DepthOrArraySize

Definition at line 2153 of file mini_d3d12.h.

## MipLevels

UINT16 D3D12_RESOURCE_DESC::MipLevels

Definition at line 2154 of file mini_d3d12.h.

## Format

DXGI_FORMAT D3D12_RESOURCE_DESC::Format

Definition at line 2155 of file mini_d3d12.h.

## SampleDesc

DXGI_SAMPLE_DESC D3D12_RESOURCE_DESC::SampleDesc

Definition at line 2156 of file mini_d3d12.h.

## Layout

D3D12_TEXTURE_LAYOUT D3D12_RESOURCE_DESC::Layout

Definition at line 2157 of file mini_d3d12.h.

## Flags

D3D12_RESOURCE_FLAGS D3D12_RESOURCE_DESC::Flags

Definition at line 2158 of file mini_d3d12.h.

The documentation for this struct was generated from the following file:

- src/runtime/mini_d3d12.h